/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: include/sgx/core/gamecode/gamehandler.hpp

*/

#ifndef SGX_GAMECODE_GAMEHANDLER_HPP
#define SGX_GAMECODE_GAMEHANDLER_HPP	1

class CGameHandler {
public:

	virtual void initialize()					{}
	virtual void release()						{}

	virtual void preUpdate(const tREAL32 t)		{SGX_UNUSED(t);}
	virtual void update(const tREAL32 t)		{SGX_UNUSED(t);}
	virtual void postUpdate(const tREAL32 t)	{SGX_UNUSED(t);}

	virtual void preDraw() const				{}
	virtual void draw()	const					{}
	virtual void postDraw()	const				{}
};

#endif /* #define SGX_GAMECODE_GAMEHANDLER_HPP */
